Package ch.qos.logback.core

## Class PropertyDefinerBase

- java.lang.Object
- - ch.qos.logback.core.spi.ContextAwareBase
  - - ch.qos.logback.core.PropertyDefinerBase

All Implemented Interfaces:
  `ContextAware`, `PropertyDefiner`

Direct Known Subclasses:
  `FileExistsPropertyDefiner`, `ResourceExistsPropertyDefiner`

    public abstract class PropertyDefinerBase
    extends ContextAwareBase
    implements PropertyDefiner

A skeleton implementation for property definers so that they derive from `ContextAwareBase`.

Author:
  Aleksey Didik

### Field Summary

### Fields inherited from class ch.qos.logback.core.spi.ContextAwareBase

`context`

### Constructor Summary

Constructors
`PropertyDefinerBase()`

### Method Summary

All Methods Static Methods Concrete Methods
`protected static java.lang.String` `booleanAsStr​(boolean bool)`

### Methods inherited from class ch.qos.logback.core.spi.ContextAwareBase

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, getDeclaredOrigin, getStatusManager, setContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface ch.qos.logback.core.spi.ContextAware

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, setContext`

### Methods inherited from interface ch.qos.logback.core.spi.PropertyDefiner

`getPropertyValue`

### Constructor Detail

#### PropertyDefinerBase

    public PropertyDefinerBase()

### Method Detail

#### booleanAsStr

    protected static java.lang.String booleanAsStr​(boolean bool)